Bug 1293072 - X-Bugzilla-Reason is missing
X-Bugzilla-Reason is missing
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 16:39 EST by Viktor Ashirov
Modified: 2016-02-14 19:57 EST (History)
10 users (show)

See Also:
Fixed In Version: 4.4.11048.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 19:57:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
email notification (1.67 KB, text/plain)
2015-12-19 16:39 EST, Viktor Ashirov
no flags Details

  None (edit)
Description Viktor Ashirov 2015-12-19 16:39:08 EST
Created attachment 1107841 [details]
email notification

Description of problem:
I'm receiving emails from Bugzilla, where I'm QA Contact. It has a string "You are the QA Contact for the bug" in the body, but it doesn't contain X-Bugzilla-Reason header. 
Example of such notification is attached.
Comment 1 Jason McDonald 2015-12-20 19:04:01 EST
The X-Bugzilla-Reason header is also missing in other emails (e.g. when the user is on the CC list).  I can see the header in emails sent just before the last Bugzilla release, so I'm marking this as a regression.
Comment 2 Hui Wang 2016-01-24 21:53:18 EST
Verified this issue.
The result is OASS.
Version:4.4.11048.1
Steps:
1.Create new bug for bugzilla product
2.Check related mail notifications:

...
To: tools-bugs@redhat.com
Subject: [Bug 1274883] New: mail header checker
Date: Mon, 25 Jan 2016 02:46:54 +0000
Precedence: bulk
Auto-Submitted: auto-generated
X-Bugzilla-Reason: QAcontact
...

From - Mon, 25 Jan 2016 02:46:54 +0000
From: bugzilla@redhat.com
To: mtahir@redhat.com
Subject: [Bug 1274883] New: mail header checker
Date: Mon, 25 Jan 2016 02:46:54 +0000
Precedence: bulk
Auto-Submitted: auto-generated
X-Bugzilla-Reason: CC
.....

From - Mon, 25 Jan 2016 02:46:54 +0000
From: bugzilla@redhat.com
To: hss-ied-bugs@redhat.com
Subject: [Bug 1274883] New: mail header checker
Date: Mon, 25 Jan 2016 02:46:54 +0000
Precedence: bulk
Auto-Submitted: auto-generated
X-Bugzilla-Reason: AssignedTo
....
Comment 3 Matt Tyson 2016-02-14 19:57:05 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.